Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1568670 - gnome-shell should obsolete caribou in F28+
Summary: gnome-shell should obsolete caribou in F28+
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedFreezeException
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-18 04:12 UTC by Parag Nemade
Modified: 2018-05-09 21:26 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-27 05:24:54 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1573546 0 urgent CLOSED GNOME crashes (including during the update transaction) if caribou is installed and cinnamon-settings-daemon is not (wit... 2022-05-16 11:32:56 UTC

Internal Links: 1573546

Description Parag Nemade 2018-04-18 04:12:24 UTC
Description of problem:
When I come to know about new OSK development, I discussed about caribou package retirement in F28+ in #fedora-workstation. I got the reply that I can go ahead with caribou package retirement which I did.

But I forgot to check that gnome-shell has not added Obsoletes for caribou thus users who have already caribou installed still have it with new gnome-shell-3.28.x packages.

I think we should add Obsolete in gnome-shell.spec and have this as freeze exception bug so that this fix will reflect in F28 GA.

We have other option as well fedora-obsoletes package to add caribou there.

Please provide your suggestions on this issue.

Comment 1 Fedora Blocker Bugs Application 2018-04-18 04:15:38 UTC
Proposed as a Freeze Exception for 28-final by Fedora user pnemade using the blocker tracking app because:

 Its not good to keep caribou package installed on the system when we got new OnScreen Keyboard implementation from gnome-shell-3.28.x package.

I recommend to have caribou package obsolete by gnome-shell package.

Comment 2 Adam Williamson 2018-04-18 15:09:41 UTC
I don't think we need an FE for this. An update can do the job fine, and will still take effect for people who upgrade before the freeze is lifted - caribou will go away as soon as they do the day 0 update.

Comment 3 Kalev Lember 2018-04-23 18:04:53 UTC
I don't think gnome-shell should obsolete caribou. I can imagine cases where someone has uninstalled gnome-shell, but forgotten caribou, and then this obsolete would put gnome-shell back. Let's put the obsolete in fedora-obsolete-packages instead.

Parag: caribou also doesn't seem retired in F28, can you check that it's all correctly done, please? It's listed as not blocked in F28 in https://koji.fedoraproject.org/koji/packageinfo?packageID=23076

Comment 4 Kalev Lember 2018-04-23 18:06:06 UTC
Err, listed as not blocked in https://koji.fedoraproject.org/koji/packageinfo?packageID=9933 (the link in the previous comment was wrong)

Comment 5 Adam Williamson 2018-04-23 19:54:01 UTC
"I don't think gnome-shell should obsolete caribou. I can imagine cases where someone has uninstalled gnome-shell, but forgotten caribou, and then this obsolete would put gnome-shell back."

I'm not *sure* that's how it works. If B-2.0 only *Obsoletes* A, and A is installed but B is not, I don't think dnf will *actively pull in B* and remove A. I think it only does thatt if B-2.0 also *Provides* A. But we should probably check that.

Comment 6 Bastien Nocera 2018-04-23 20:14:26 UTC
I don't think gnome-shell should obsolete caribou, which is still useful for non-gnome DEs, and even maybe under GNOME.

It's not useful for the OSK, but it's more than just an OSK backend.

We'll be fine with leaving a couple of kb of data on disk until the users reinstall I would think.

Comment 7 Adam Williamson 2018-04-24 01:08:24 UTC
Discussed at 2018-04-23 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-04-23/f28-blocker-review.2018-04-23-16.00.html . Rejected as a freeze exception issue: even if this change does make sense (we don't venture an opinion on that), there's no need for it to be done as a freeze exception. It could be done equally well as a post-release update.

Comment 8 Parag Nemade 2018-04-24 05:42:11 UTC
If there is no common decision then I will leave the current state as it is that is
1) Caribou will remain retired in F28+
2) Check with releng to block caribou from getting included in compose F28+

Comment 9 Parag Nemade 2018-04-27 05:24:54 UTC
The caribou package is now blocked in F28 also so it will not be available in F28 GA.

I am closing this as a NOTABUG now as there is no common decision here. we can revisit this later if needed.

Comment 10 Jason Tibbitts 2018-05-05 23:50:14 UTC
A rather odd commit was made to fedora-obsolete-packages to have just some specific versions of caribou obsoleted.  But that makes absolutely no sense.  If you are upgrading your OS to F28 and have updates enabled, you will get the newer version of caribou and so the commit to fedora-obsolete-packages does nothing.  If you don't have updates enabled then.... you will not see the commit to fedora-obsolete-packages and so it does nothing.

So I just cannot fathom point that commit has does, and I'm going to revert it.

Comment 11 Parag Nemade 2018-05-06 03:38:37 UTC
Oh I was not aware that someone actually went ahead and obsoleted caribou. I also think that commit will make no effect. e.g. I got the caribou update caribou-0.4.21-9.fc28.x86_64 installed on my F28 system. I see I have yet to get fedora-obsolete-packages update and as per that update I am not having "caribou <= 0.4.21-7.fc28" so it will make no effect.

Comment 12 Fedora Update System 2018-05-07 08:50:21 UTC
fedora-obsolete-packages-28-6 caribou-0.4.21-10.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c5586a2aa5

Comment 13 Pete Walter 2018-05-07 08:52:37 UTC
Thanks for the feedback. I think I've fixed it up to actually work now: I forgot out python2/3-caribou at first, which caused the obsoletes to not have any effect. Once it hits updates-testing, can you try the new update again? Thanks.

Comment 14 Fedora Update System 2018-05-07 16:02:52 UTC
caribou-0.4.21-10.fc28, fedora-obsolete-packages-28-6 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c5586a2aa5

Comment 15 Fedora Update System 2018-05-09 21:26:40 UTC
caribou-0.4.21-10.fc28, fedora-obsolete-packages-28-6 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.